virt-v2v-open(1)

NAME
virt-v2v-open - Open the virt-v2v input and run a program on it

SYNOPSIS
 virt-v2v-open [-i* options] guest --run 'program [--options] @@'

 virt-v2v-open -i disk guest.img --run 'virt-inspector --format=raw @@'

 virt-v2v-open -i disk guest.img --run 'guestfish --ro --format=raw @@ -i'

DESCRIPTION
Virt-v2v-open is a companion tool for virt-v2v(1) and virt-v2v-inspector(1) which can be used before conversion to open the input side of virt-v2v and run a program.

Some uses for this include running virt-inspector(1) directly on the source guest to find source operating systems (to use with the virt-v2v --root option). Or running guestfish to take a look inside the source guest before conversion. You can follow that by running virt-v2v-inspector(1) to estimate how much space would be needed to convert that guest, and if conversion of the guest is possible.

This manual page only documents the program options, not all of the -i* options which are the same as virt-v2v. You should read virt-v2v(1) first.

Notes:

•   The source guest is always opened read-only. You will not be able to make persistent changes.

•   virt-inspector(1) can be used directly on local disk images.

  Selecting the input guest
You can run virt-v2v-open with the same -i* options as virt-v2v. (Don't use any -o* options). This will select the guest that you want to open.

  Running the program
On the command line, put the program that you want to run on the source guest and any other parameters that program needs into the --run parameter. "@@" in the parameter is substituted with -a DISK ... for each source disk, in a way which is compatible with virt-inspector(1) and guestfish(1).

 virt-v2v-open [-i ...] guest \
               --run 'virt-inspector --format=raw @@ > output.xml'

 virt-v2v-open [-i ...] guest \
               --run 'guestfish --ro --format=raw @@ -i'

 virt-v2v-open [-i ...] guest \
               --run 'guestfish --ro --format=raw @@ run : list-filesystems'

OPTIONS

--help
    Display help.

-v
--verbose
    Enable verbose messages for debugging.

-V
--version
    Display version number and exit.

-x  Enable tracing of libguestfs API calls.

-i ...
-ic ...
-if ...
-io ...
-ip ...
-it ...
    All of the -i* options supported by virt-v2v are also supported by virt-v2v-open.

--colors
--colours
--machine-readable
--machine-readable=format
-q
--quiet
--wrap
    These options work in the same way as the equivalent virt-v2v options.

--run COMMAND
    The command that you want to run on the source guest. "@@" in the command is substituted with a list of -a DISK options that is compatible with virt-inspector and guestfish.

FILES
Files used are the same as for virt-v2v. See "FILES" in virt-v2v(1).

ENVIRONMENT VARIABLES
Environment variables used are the same as for virt-v2v. See "ENVIRONMENT VARIABLES" in virt-v2v(1).

SEE ALSO
virt-v2v(1), virt-p2v(1), virt-inspector(1), virt-v2v-inspector(1), guestfs(3), guestfish(1), qemu-img(1), nbdkit(1), http://libguestfs.org/.

AUTHORS
Matthew Booth

Cédric Bosdonnat

Laszlo Ersek

Tomáš Golembiovský

Shahar Havivi

Richard W.M. Jones

Roman Kagan

Mike Latimer

Nir Soffer

Pino Toscano

Xiaodai Wang

Ming Xie

Tingting Zheng

COPYRIGHT
Copyright (C) 2009-2025 Red Hat Inc.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

BUGS
To get a list of bugs against libguestfs, use this link: https://bugzilla.redhat.com/buglist.cgi?component=libguestfs&product=Virtualization+Tools

To report a new bug against libguestfs, use this link: https://bugzilla.redhat.com/enter_bug.cgi?component=libguestfs&product=Virtualization+Tools

When reporting a bug, please supply:

•   The version of libguestfs.

•   Where you got libguestfs (eg. which Linux distro, compiled from source, etc)

•   Describe the bug accurately and give a way to reproduce it.

•   Run libguestfs-test-tool(1) and paste the complete, unedited output into the bug report.